#ifndef __ZZT_CONSOLE__
#define __ZZT_CONSOLE__

extern int CursorColor;                // Console cursor color
extern int ConW, ConH;                 // Console width, height
extern int InputMem;                   // Number of inputs remembered

extern char *ConsInput;
extern int enter;

void ReAddConsLine(char *fmt, ...);
void AddConsLine(char *fmt, ...);
void AddConsLine(void);
void DrawCons(void);
void GetConsInput(void);
void ConsParse(char *str);
void ClearConsInput(void);

void InitConsole(void);
void DoneConsole(void);
void UpdateConsole(void);
void Console(void);
void ConsoleBG(char *f);

#endif
