// Watcom includes
#include <fstream.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#include "wildfile.h"

// ZZT 2 includes
#include "global.h"
#include "compiler.h"

void main(int argc, char *argv[])
{
  printf("ZC: ZZT ][ Script Compiler v0.7\n\n");

  static int nargc;
  static char **nargv;

  nargc = argc;
  nargv = argv;
  MyGlob(&nargc, &nargv, 0);

  if (nargc==1)
  {
    printf("Usage: zc [script]");
    return;
  }

  char spath[_MAX_PATH];
  char dpath[_MAX_PATH];
  char name[_MAX_FNAME];
  char ext[_MAX_EXT];

  for (int i=1; i<nargc; i++)
  {
    strlwr(nargv[i]);
    _splitpath(nargv[i], NULL, NULL, name, ext);
    if (!strlen(ext)) strcpy(ext, ".scr");
    _makepath(spath, NULL, NULL, name, ext);
    _makepath(dpath, NULL, NULL, name, ".oz");

    printf(" Compiling '%s' to '%s'...\n", spath, dpath);

    if (!Compile(spath, dpath))
      printf("  Error compiling. (Deleted object file)\n");
  }
  printf("\n Compiling complete.");
}
